import { Component } from 'react';
export declare class TooltipPopover extends Component<{
    children?: any;
    title?: any;
    className?: any;
    positionToolTip?: any;
    popoverRef?: any;
    style?: object;
    id?: any;
    role?: any;
}> {
    updateDimensions: () => void;
    setPopoverRef: (ref: any) => void;
    private popover;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
